Create Workspace
curl --request POST \
--url https://app.govly.com/api/v3/opportunity_workspaces \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"opportunityId": "<string>",
"name": "<string>"
}
'import requests
url = "https://app.govly.com/api/v3/opportunity_workspaces"
payload = {
"opportunityId": "<string>",
"name": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({opportunityId: '<string>', name: '<string>'})
};
fetch('https://app.govly.com/api/v3/opportunity_workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Workspaces
Create Workspace
POST
/
api
/
v3
/
opportunity_workspaces
Create Workspace
This endpoint creates a new workspace for an opportunity.
Request Body
string
required
ID of the opportunity to create a workspace for
string
Display name for the workspace
This endpoint is part of the legacy v3 API and will be deprecated in the future. Please migrate to the new enterprise API endpoints.
Was this page helpful?
⌘I